#include "CameraDrivingPerceptionTwo_GeneralWrapper.h"

#include "sub/SubWrapperHelper.h"
#include "camera_driving_perception_two/executable.h"
#include "CameraDrivingPerceptionTwo_SubDataWrapper.h"

GeneralWrapper::GeneralWrapper(ara::log::Logger& mainLog) : 

_CamDrvPerceptionTwo2Fusion_Provide("camera_driving_perception_two/camera_driving_perception_two/CamDrvPerceptionTwo2FusionPPort" ,mainLog),
_CamDrv2CamDrvPerceptionTwo_Required("camera_driving_perception_two/camera_driving_perception_two/CamDrv2CamDrvPerceptionTwoRPort" ,mainLog),
_Slam2DrvPerceptionTwoOdom_Required("camera_driving_perception_two/camera_driving_perception_two/Slam2DrvPerceptionTwoOdomRPort" ,mainLog),
_CAN2DrvPerceptionTwo_Required("camera_driving_perception_two/camera_driving_perception_two/CAN2DrvPerceptionTwoRPort" ,mainLog),
_VED2DrvPerceptionTwo_Required("camera_driving_perception_two/camera_driving_perception_two/VED2DrvPerceptionTwoRPort" ,mainLog)
{
    //Provides
    _CamDrvPerceptionTwo2Fusion_Provide.Init();
    //Requireds
    _CamDrv2CamDrvPerceptionTwo_Required.Init();
    _Slam2DrvPerceptionTwoOdom_Required.Init();
    _CAN2DrvPerceptionTwo_Required.Init();
    _VED2DrvPerceptionTwo_Required.Init();
}
GeneralWrapper::~GeneralWrapper() 
{
    _CamDrv2CamDrvPerceptionTwo_Required.Destroy();
    _Slam2DrvPerceptionTwoOdom_Required.Destroy();
    _CAN2DrvPerceptionTwo_Required.Destroy();
    _VED2DrvPerceptionTwo_Required.Destroy();
}

void GeneralWrapper::Start() {
    
}

